Package org.apache.cayenne.dba.openbase

## Class OpenBaseSniffer

- java.lang.Object
- - org.apache.cayenne.dba.openbase.OpenBaseSniffer

- All Implemented Interfaces:
    `DbAdapterDetector`

      @Deprecated
      public class OpenBaseSniffer
      extends Object
      implements DbAdapterDetector

  Deprecated.
  since 4.2
  Detects OpenBase DB from JDBC metadata.
  Since:
    1.2

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected AdhocObjectFactory` | `objectFactory` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OpenBaseSniffer​(AdhocObjectFactory objectFactory)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DbAdapter` | `createAdapter​(DatabaseMetaData md)` | Deprecated. Returns an instance of DbAdapter if the factory detects that it knows how to handle the database or null if the database is not known to the factory, thus allowing multiple factories to be chained.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objectFactory

          protected AdhocObjectFactory objectFactory

      Deprecated.

  - ### Constructor Detail

    - #### OpenBaseSniffer

          public OpenBaseSniffer​(AdhocObjectFactory objectFactory)

      Deprecated.

  - ### Method Detail

    - #### createAdapter

          public DbAdapter createAdapter​(DatabaseMetaData md)
                                  throws SQLException

      Deprecated.
      Description copied from interface: `DbAdapterDetector`
      Returns an instance of DbAdapter if the factory detects that it knows how to handle the database or null if the database is not known to the factory, thus allowing multiple factories to be chained.
      Specified by:
        `createAdapter` in interface `DbAdapterDetector`
      Throws:
        `SQLException`